Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.agreementv2.service.impl
Class AgreementServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.agreementv2.service.impl.AgreementServiceImpl

All Implemented Interfaces:
  AgreementService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class AgreementServiceImpl

extends Object
implements AgreementService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation for the `AgreementService` interface.

Field Summary
`static String` | `SOAP_ACTION_ASK_AGREEMENT`
`static String` | `SOAP_ACTION_CONSULT_AGREEMENT`

Constructor Summary
`AgreementServiceImpl()` default constructor , needed for ModuleBootstrapHook.
`AgreementServiceImpl(SessionValidator sessionValidator)` Creates a new `AgreementServiceImpl`

Method Summary
`AskAgreementResponse` | `askAgreement(SAMLToken token, AskAgreementRequest request)` Sends the request to the WS and retrieves the response.
`void` | `bootstrap()`
`ConsultAgreementResponse` | `consultAgreement(SAMLToken token, ConsultAgreementRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAP_ACTION_ASK_AGREEMENT

    public static final String SOAP_ACTION_ASK_AGREEMENT

See Also:
  Constant Field Values

### SOAP_ACTION_CONSULT_AGREEMENT

    public static final String SOAP_ACTION_CONSULT_AGREEMENT

See Also:
  Constant Field Values

Constructor Detail

### AgreementServiceImpl

    public AgreementServiceImpl(SessionValidator sessionValidator)

  Creates a new `AgreementServiceImpl`

  Parameters:
    `sessionValidator` - the SessionValidator object

### AgreementServiceImpl

    public AgreementServiceImpl()

  default constructor , needed for ModuleBootstrapHook.

Method Detail

### askAgreement

    public AskAgreementResponse askAgreement(SAMLToken token,
                                             AskAgreementRequest request)
                                      throws TechnicalConnectorException

  Description copied from interface: `AgreementService`
  Sends the request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.

  Specified by:
    `askAgreement` in interface `AgreementService`
  Parameters:
    `token` - the valid SAML token
    `request` - the request to send
  Returns:
    the WS response
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### consultAgreement

    public ConsultAgreementResponse consultAgreement(SAMLToken token,
                                                     ConsultAgreementRequest request)
                                              throws TechnicalConnectorException

  Specified by:
    `consultAgreement` in interface `AgreementService`
  Throws:
    `TechnicalConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.